# 4-fold Accumulator with Bonus

This is an example of a 4-fold accumulator. The ticket contains only one bet (Bets array length = 1) which further contains four selections (Selections array length = 4).

The Stake array contains the element of "type": "bonus". This specifies that a bonus of 2 euros will be added to the payout (if the ticket wins).

<details>

<summary><strong>Ticket Placement Request</strong></summary>

```json
{
  "operatorId": 9985,
  "content": {
    "type": "ticket",
    "ticketId": "Ticket_6230",
    "bets": [
      {
        "selections": [
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:14938771",
            "marketId": "223",
            "outcomeId": "1715",
            "specifiers": "hcp=1.5",
            "odds": {
              "type": "decimal",
              "value": "1.1"
            }
          },
          {
            "type": "uf",
            "productId": "1",
            "eventId": "sr:match:15163591",
            "marketId": "1",
            "outcomeId": "2",
            "specifiers": "hcp=1:0",
            "odds": {
              "type": "decimal",
              "value": "1.48"
            }
          },
          {
            "type": "uf",
            "productId": "3",
            "eventId": "sr:match:15050881",
            "marketId": "1",
            "outcomeId": "2",
            "odds": {
              "type": "decimal",
              "value": "1.32"
            }
          },
          {
            "type": "uf",
            "productId": "1",
            "eventId": "sr:match:16470657",
            "marketId": "1",
            "outcomeId": "2",
            "odds": {
              "type": "decimal",
              "value": "7.1"
            }
          }
        ],
        "stake": [
          {
            "type": "cash",
            "currency": "EUR",
            "amount": "50"
          },
          {
            "type": "bonus",
            "currency": "EUR",
            "amount": "2"
          }
        ]
      }
    ],
    "context": {
      "channel": {
        "type": "retail",
        "shopId": "shop_789135"
      },
      "limitId": 1409
    }
  },
  "correlationId": "tesd83nky7sc",
  "timestampUtc": 1678886959000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>

<details>

<summary><strong>Ticket Placement Response</strong></summary>

```json
{
  "content": {
    "type": "ticket-reply",
    "signature": "hlDfZ5uX5+SftXxb4+M0Mp3sN7v4cZPEfXBdX4T32qw=",
    "status": "accepted",
    "ticketId": "Ticket_6230",
    "code": 0,
    "message": "Transaction processed",
    "betDetails": [
      {
        "selectionDetails": [
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:14938771",
              "marketId": "223",
              "outcomeId": "1715",
              "specifiers": "hcp=1.5",
              "odds": {
                "type": "decimal",
                "value": "1.1"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:15163591",
              "marketId": "1",
              "outcomeId": "2",
              "specifiers": "hcp=1:0",
              "odds": {
                "type": "decimal",
                "value": "1.48"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "3",
              "eventId": "sr:match:15050881",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "1.32"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          },
          {
            "selection": {
              "type": "uf",
              "productId": "1",
              "eventId": "sr:match:16470657",
              "marketId": "1",
              "outcomeId": "2",
              "odds": {
                "type": "decimal",
                "value": "7.1"
              }
            },
            "code": 0,
            "message": "Transaction processed"
          }
        ],
        "code": 0,
        "message": "Transaction processed"
      }
    ],
    "exchangeRate":   [
      {
        "fromCurrency": "EUR",
        "toCurrency": "EUR",
        "rate": "1.00000"
      }
    ]
  },
  "correlationId": "tesd83nky7sc",
  "timestampUtc": 1678886960000,
  "operation": "ticket-placement",
  "version": "3.0"
}
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.sportradar.com/mts/transaction-3.0-api/mts-related-transaction-examples/promo-bets-examples-bonus-boosted-odds-payout-modifier/4-fold-accumulator-with-bonus.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
